{ CANINCAN_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'canincan' that will be bound to a material property set.
    two groups named 'inside' and 'outside' that will be bound to BC sets.
}

title 'Import OBJ can-in-can'

coordinates cartesian3

variables u

select regrid=off

materials
  'canincan' : k=1

boundary conditions
  'inside' : value(u)=1
  'outside': value(u)=10

equations u: div(k*grad(u))=0

boundaries import OBJ 'canincan.obj'

plots
  grid(x,y,z)
  grid(x,z) on y=0
  contour(u) on y=0

end "I2LkG33kufRogWyPw6FKJ+F4ZuJPAK3uQ+spcc3u46F7rzvYsDyMAb56uzkcr8hs1d5/GXYE2l6bD8V/twqGo8kW2T25Y5PVi5jvPivjY6Eg0xVtR3obByRKJONymQOmoes/XO5wrD0KnEYYER4//KYtA8Yi9CYdg2v1BsxsLcc"
