{ CUBES_BIGSMALL_VALIDATE.PDE

  This sample validates the OBJ import script IMPORT_OBJ_CUBES_BIGSMALL.PDE
  by showing that the same answer is obtained when constructing the
  domain within FlexPDE instead of importing the OBJ mesh.

  Note : the figure was turned on end only to make the construction easier.
}
title 'Validate Import OBJ Cubes Bigsmall'

coordinates cartesian3

variables u

select regrid=off ngrid=2

materials
  'small': k=1
  'big'  : k=2

boundary conditions
  'left'  : value(u)=1
  'middle': contact(u)=jump(u)/0.5
  'right' : value(u)=10

equations u: div(k*grad(u))=0

extrusion z=0,5,7

boundaries

limited region 1
  surface 1 use bc 'left'
  layer 1 use material 'big'
  start(0,0)
  line to (5,0) to (5,5) to (0,5) to close

limited region 2
  surface 2 use bc 'middle'
  surface 3 use bc 'right'
  layer 2 use material 'small'
  start(3,2)
  line to (5,2) to (5,4) to (3,4) to close

plots
  grid(x,y,z)
  grid(y,z) on x=4
  grid(x,z) on y=3
  contour(u) on x=4
  contour(u) on y=3
end "Jlyf0XZ+MCmBtx1amlBXUkY41cwIEI7skbzpO6FzuuO2oPMFaarOUdZ69+OF0vdKmEPoAdQVOPN7jKSXuikl9onpgCnQMlcC8YDtb03ycbqNEe7nssdFy+INdp2hvKREyebYzs4G8yIodpRERQNqQbsysihDZe8FSXQSHGT9rDX"
