{ HORN_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'horn' that will be bound to a material property set.
    four groups named 'tip1', 'tip2', 'tip3', and 'base' that will be bound to BC sets.
}
title 'Import OBJ Horn'

coordinates cartesian3

variables u

materials 'horn' : k = 10

boundary conditions
  'tip1' : value(u) = 1
  'tip2' : value(u) = 10
  'tip3' : value(u) = 100
  'base' : natural(u) = -10

equations u: div(k*grad(u))=0

boundaries import OBJ 'horn.obj'

plots
  grid(x,y,z)
  grid(x,z) on y=0
  contour(u) on y=0

end "Cm7aFrlnMcAO7MYHc+pWmHf9UKNDZfEsm6bl1iLPNdR9OW5AvgsDhQ8rwmcyR1Fh74T2eWni9wECyRXwho09QlINYV+1mcYnePJkDZ7WsAJ1VttpQD3ao0cbHHH6sxcic3YH9n2IYX1u2YuDhh9djlovQvAFnDMdRrbS1QDFTAI"
