{ WINEGLASS_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'glass' that will be bound to a material property set.
    two groups named 'inside' and 'bottom' that will be bound to BC sets.
}
title 'Import OBJ Wineglass'

coordinates cartesian3

variables u

select
  order=2   	 ! select quadratic variable interpolation.
  refineobj=off

materials 'glass' : k=1

boundary conditions
  'inside' : value(u) = 1
  'bottom' : value(u) = 10

initial values
  u = 1

equations u: div(k*grad(u))=0

boundaries import OBJ 'wineglass.obj'

monitors
  grid(x,y,z)
  grid(x,z) on y=0
  contour(u) on y=0
plots
  grid(x,y,z)
  grid(x,z) on y=0
  contour(u) on y=0

end "HetWethPsSRtRO5mSeheXufs8lFxZT9QS8njhhhqwoFpMqrA5p4/b+GcvKr3ObWoMvYDQVR5+mxTqi/3R4ahnGmIQBr70WjI8ErrxLyA3CqVTtIw8XTeB7l8ZVDkOYYsUdNbNX6Tu0OtABWwW852YbPun0t5F212A4xQhWBnmSS"
