{ SINE_BOUNDARY_3D.PDE

  This example is a modification of SINE_BOUNDARY.PDE into 3D.
}
title 'Sine Boundary 3D'
coordinates cartesian3
variables u

definitions
  k = 1
  bottom = -1

initial values u=1

equations
  U: div(K*grad(u)) + 4 = 0

extrusion z = 0,1

boundaries
  Region 1
    start(-1,bottom)
      value(u)=0  
    line to (10,bottom)
      natural(u)=0
    line to (10,2)
      value(u)=1
    { create a boundary segment that follows the equation
      y = cos(pi*x)+1, and start moving in the -X direction. }
    curve (y = cos(pi*x)+1) by (-x) to (-1,0)  
      natural(u)=0  
    line to close

plots
  grid(x,y) on z=1/2
  contour(u)  on z=1/2
  surface(u)  on z=1/2
  elevation(u) from(-1,0,1/2) to (1,0,1/2)

end "FY4eBa+VGeRnt3aoFXZ89RxNTB89NgWw+PQ3jSxmrFu+GOoUAC9e6b0Z3Wb2DNfVcIi3CODh/SiWU+A5O6xZlxkWWlQf0X3ubyL8qLa87FLA/NGqYfhWaN5lCN3pnqw9s4Thj8uySF1Q8B5zxWbcHNjSSxA4qYrYYu7O08rrVHw"
