{  TABLEDEF.PDE  

    This problem illustrates the use of the TABLEDEF function to define several 
    parameters from an imported table named TABLEDEF.TBL
 
    Note that the TABLEDEF function has the same syntax as the TRANSFER function.
    The difference is that TABLEDEF uses a rectangular grid of data values, 
    while TRANSFER uses an unstructured triangular finite element mesh created 
    by a prior FlexPDE run.
 
}
title 'Table Input Test'
 
select
  errlim = 0.0005
 
variables
  u
 
definitions
  tabledef('tabledef.tbl',alpha,beta)
 
equations
  U:  div(alpha *grad(u)) + beta = 0
 
boundaries
  region 1
    start(0,10)
    value(u) = 0
    line to (0,0) to (10,0) to (10,10) to close
 
monitors
  contour(u)
 
plots
  grid(x,y)
  contour(u)
  surface(u)
  contour(alpha) surface(alpha)
  contour(beta)  surface(beta)
  vector(grad(alpha))
 
end "FlkFD3gZ/eLpPOaYdmDJ1ffyqbblYeVIDvDCt+pDtpcD+bhdjI4CgUaA01FaT+kxGblArT2ymOjulWHoqVnUFtruk1zUkgQwFFwXBI0NoozsKK3Pffwab7HObLP3sEJk1CwDNi0cjWQ2tEpTc9I7iyzp9kzMQ3v9J8ADW9Q5zEE"
