{  POINT_LOAD.PDE

   This example demonstrates the use of the POINT LOAD bc.
   It is a modification of the example POLAR_COORDINATES.PDE.
}

  title 'Point Load'

  variables u

  definitions
     k = 1
     u0 = 1-r^2
     s = 4
     dr(f) = (x/r)*dx(f) + (y/r)*dy(f)      { functional definition of polar derivatives... }
     dphi(f) = (-y)*dx(f) + x*dy(f)     {... in cartesian coordinates }
     pload = staged (0, 2)

  equations  { equation expressed in polar coordinates }
                { (Multiplied by r^2 to clear the r=0 singularity) }
     U: r*dr(r*dr(u)) + dphi(dphi(u)) + r*r*s = 0

  boundaries
     Region 1
        start(0,0)  point load(u)=pload
        natural(u) = 0 line to (1,0)
        value(u)=u0 arc(center=0,0) angle=90
        natural(u)=0 line to close

   monitors
     grid(x,y) as "Computation Mesh"
     contour(u) as "Solution"
     contour(u-u0) as "Error (u-u0)"

   plots
     grid(x,y) as "Computation Mesh"
     contour(u) as "Solution"
     contour(u-u0) as "Error (u-u0)"

  end "FyiHv33wgHKRuMOC2I5DQBBOPx9hWa6+cDy9/hcPD8SDBaWlUTlRpdnhRzNugoEqu4A4A1eolVvos56N/JP5gTuPD/S4fMy9bd5wV/319tIAosneszYTQs72Ep647mkpDy+0whmMhLRfNT7QcxERuy/esU/2beYVD0ZQtHjUb9v"
